import { Optional, InjectionToken } from '@angular/core';
export declare class ClipboardService {
    private document;
    private window;
    private tempTextArea;
    constructor(document: any, window: any);
    readonly isSupported: boolean;
    isTargetValid(element: HTMLInputElement | HTMLTextAreaElement): boolean;
    /**
     * copyFromInputElement
     */
    copyFromInputElement(targetElm: HTMLInputElement | HTMLTextAreaElement): boolean;
    /**
     * Creates a fake textarea element, sets its value from `text` property,
     * and makes a selection on it.
     */
    copyFromContent(content: string): boolean;
    destroy(): void;
    private selectTarget(inputElement);
    private copyText();
    private clearSelection(inputElement, window);
    private createTempTextArea(doc, window);
}
export declare function CLIPBOARD_SERVICE_PROVIDER_FACTORY(doc: Document, win: Window, parentDispatcher: ClipboardService): ClipboardService;
export declare const CLIPBOARD_SERVICE_PROVIDER: {
    deps: (InjectionToken<Document> | Optional[])[];
    provide: typeof ClipboardService;
    useFactory: typeof CLIPBOARD_SERVICE_PROVIDER_FACTORY;
};
